/* CSS Styles */
*{
    .didact-gothic-regular {
  font-family: "Didact Gothic", sans-serif;
  box-sizing: border-box;
  font-weight: 400;
  font-style: normal;
}
    
}
body {
    background-color: rgb(215, 194, 255);
    background-image: url(images/beanstalk.png);
    margin: 0;
}
h1 {
    font-size: 2.5rem;
    color:rgba(20, 0, 34, 0.692)
}
h2 {
    font-size: 2rem;
    color:rgba(20, 0, 34, 0.692)
}
p, ul, ol {
    font-size: 1rem;
    color:rgba(54, 0, 93, 0.692)
}
a:link {
    color:rgba(54, 0, 93, 0.692);
    text-decoration:none;
}
a:hover, a:visited {
    color:rgb(145, 71, 224);
    text-decoration: underline;
}
img {
    max-width: 100%;
}

/* Button Style */
.button a:link, .button a:visited {
    color:rgba(54, 0, 93, 0.692);
    border: rgba(54, 0, 93, 0.692) thin solid;
    padding: 10px 0;
    display: block;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
}
.button a:hover {
    border: rgb(125, 107, 154) thin solid;
    color: rgb(221, 177, 255);
    background-color: rgb(125, 107, 154);
}

/* Header Styles */
header {
    background-color: rgb(226, 210, 242);
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
    padding: 0 5%;
    text-transform: uppercase;
    height: 90px;
}
header h1 {
    grid-column: 1 / span  6;
    margin-top: 15px;
}
header h1 a:link, 
header h1 a:hover,
header h1 a:visited {
    color: rgba(54, 0, 93, 0.692);
    text-decoration: none;
}
header nav {
    grid-column: 7 / span 6;
}
header nav ul{
    display: flex;
    justify-content: flex-end;
    list-style-type: none;
    padding: 0;
    margin-top: 30px;
}
header nav li a:link,
header nav li a:hover,
header nav li a:visited {
    color: rgba(54, 0, 93, 0.692);
    text-decoration: none;
    font-size: 1.5rem;
    padding: 0 2rem;
}


.pic {
   width: 326px
}

.container {
    background-color:rgb(243, 232, 255);
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 35px 5% 0 5%;
}

/* Homepage Content Style */
.home {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}
.about {
    grid-column: 1 / span 8;
    padding: 0 5% 2rem 0;
}
.photo {
    grid-column: 9 / span 4;
}

/* Work Page Content*/
.work {
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.work div {
    text-align: center;
    padding: 0 5% 5%;
}


/* Footer Styles */
footer {
    text-align: center;
    padding: 1.5rem;
    margin: .5rem 3.5rem;
    border-top: rgba(54, 0, 93, 0.692) solid thin;
}
footer ul {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}
footer ul a {
    display: block;
    padding: 0 .5rem;
}